/*	License
 * 		inside EU: EUPL
 * 		outside EU: GPL or EUPL
 *  The program comes AS IS and without any warranty unless required by law
 *  (C) 2012 thecodemonkey
 */

package net.util;
import static shoshone.httpclient.UrlUtil.*;

public class LinkExtractorByPartialId extends LinkExtractor {
	
	private static LinkExtractor linkExtractor= new LinkExtractorByPartialId();
	
	public static LinkExtractor getLinkExtractor() {
		return linkExtractor;
	}
	
	@Override
	public String getLink(String url,String html,String[] args)  {

		String idValue=args[0];
		String tokenName=args[1];
		
		String l=preFilterHtml(html);
		
		StringBuilder token1=new StringBuilder("id=");
		token1.append(delimiter);
		token1.append(idValue );
		
		int pos=l.indexOf(token1.toString());
		
		if (pos==-1) return null;
		
		int pos2=l.lastIndexOf('<', pos);
		//int pos3=l.indexOf('>', pos);
		
		String s=l.substring(pos2);
		String token=tokenName+'=';
		int start= s.indexOf(token)+token.length()+1;
		int end = s.indexOf(delimiter, start+1);
		return URLDecoder.decode(getAbsolutePath(s.substring(start, end),url));
	}

	@Override
	public String[] getArgNames() {
		return new String[]{"value","linkElementName"};
	}

	
	
	
}
